/* This file is part of tctswitch
   Copyright © 2007 Nokia Corporation and/or its subsidiary(-ies).
   Contact: Petr Baranov petr.baranov@nokia.com

  This program is free software: you can redistribute it and/or modify it under the terms
  of the GNU (Lesser) General Public License as published by the Free Software Foundation,
  version 2 of the License.This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU (Lesser) General Public License for more details.
  You should have received a copy of the GNU (Lesser) General Public License along with this program.
  If not, see <http://www.gnu.org/licenses/>
*/
#include <QtDeclarative>
#include "commandhandler.h"
#include <fcntl.h>

int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    app.setProperty("NoMStyle", true);

    QDir::setCurrent(app.applicationDirPath());

    QDeclarativeView window;

    window.rootContext()->setContextProperty("Run", new CommandHandler);
    window.setSource(QUrl("qrc:/qml/tctswitch/main.qml"));


    window.showFullScreen();
    return app.exec();
}
